schema_install() {
  SCHEMA="$1"
  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
  chroot . gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/$SCHEMA \
    1>/dev/null
}

schema_install devhelp.schemas

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libdevhelp-2.so.1 )
( cd usr/lib64 ; ln -sf libdevhelp-2.so.1.0.0 libdevhelp-2.so.1 )
( cd usr/lib64 ; rm -rf libdevhelp-2.so )
( cd usr/lib64 ; ln -sf libdevhelp-2.so.1.0.0 libdevhelp-2.so )
